#%%define _with_perl 1
#%%define _with_python 1

%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_archlib %(eval "`perl -V:archlib`"; echo $archlib)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define inchi_ver 1.0.1

Name: openbabel
Version: 2.0.2
Release: 3%{?dist}
Summary: Chemistry software file format converter
License: GPL
Group: Applications/File
URL: http://openbabel.sourceforge.net/
Source: http://dl.sourceforge.net/sourceforge/openbabel/%{name}-%{version}.tar.gz
Patch: %{name}-cxxflags.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: libxml2-devel
BuildRequires: zlib-devel

%description
Open Babel is a free, open-source version of the Babel chemistry file
translation program. Open Babel is a project designed to pick up where
Babel left off, as a cross-platform program and library designed to
interconvert between many file formats used in molecular modeling,
computational chemistry, and many related areas.

Open Babel includes two components, a command-line utility and a C++
library. The command-line utility is intended to be used as a replacement
for the original babel program, to translate between various chemical file
formats. The C++ library includes all of the file-translation code as well
as a wide variety of utilities to foster development of other open source
scientific software. 

%package devel
Summary: Development tools for programs which will use the Open Babel library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The %{name}-devel package includes the header files and libraries
necessary for developing programs using the Open Babel library.

If you are going to develop programs which will use this library
you should install %{name}-devel.  You'll also need to have the
%{name} package installed.

%package -n inchi
Summary: The IUPAC International Chemical Identifier (InChI) library
Group: System Environment/Libraries
License: LGPL
Version: %{inchi_ver}

%description -n inchi
The IUPAC International Chemical Identifier (InChI) library.

%package -n inchi-devel
Summary: Development headers for InChI library
Group: Development/Libraries
License: LGPL
Version: %{inchi_ver}
Requires: inchi = %{inchi_ver}-%{release}

%description -n inchi-devel
The inchi-devel package includes the header files and libraries
necessary for developing programs using the InChI library.

If you are going to develop programs which will use this library
you should install inchi-devel.  You'll also need to have the
inchi package installed.

%if 0%{?_with_perl:1}
%package perl
Group: System Environment/Libraries
Summary: Perl wrapper for the Open Babel library
BuildRequires: openbabel-devel
BuildRequires: perl

%description perl
Perl wrapper for the Open Babel library.
%endif

%if 0%{?_with_python:1}
%package python
Group: System Environment/Libraries
Summary: Python wrapper for the Open Babel library
BuildRequires: openbabel-devel
BuildRequires: python
BuildRequires: python-devel
BuildRequires: swig

%description python
Python wrapper for the Open Babel library.
%endif

%prep
%setup -q
%patch -p1 -b .cxxflags

%build
autoreconf --force --install
%configure --enable-shared=yes --enable-static=no
%{__make} %{?_smp_mflags}

%if 0%{?_with_perl:1}
pushd scripts/perl
perl Makefile.PL INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags} OPTIMIZE="$RPM_OPTS_FLAGS"
%{__make} test
popd
%endif

%if 0%{?_with_python:1}
pushd scripts/python
python setup.py build
popd
%endif

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%{__rm} -f $RPM_BUILD_ROOT%{_libdir}{,/%{name}}/*.la

%if 0%{?_with_perl:1}
pushd scripts/perl
%{__make} install DESTDIR=$RPM_BUILD_ROOT
popd
%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
%{__rm} -f $RPM_BUILD_ROOT%{perl_vendorarch}/*/Chemistry/OpenBabel/{.packlist,OpenBabel.bs}
%endif
%if 0%{?_with_python:1}
pushd scripts/python
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n inchi -p /sbin/ldconfig

%postun -n inchi -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README THANKS
%doc doc/*.html
%doc doc/README* doc/babel*.inc doc/dioxin.*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_libdir}/libopenbabel.so.*
%{_libdir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-2.0
%{_libdir}/libopenbabel.so
%{_libdir}/pkgconfig/*.pc

%files -n inchi
%defattr(-,root,root,-)
%doc src/formats/inchi/COPYING.LIB
%doc src/formats/inchi/README.html
%{_libdir}/libinchi.so.*

%files -n inchi-devel
%defattr(-,root,root,-)
%{_includedir}/inchi
%{_libdir}/libinchi.so

%if 0%{?_with_perl:1}
%files perl
%defattr(-,root,root,-)
%{perl_vendorarch}/Chemistry/OpenBabel.pm
%dir %{perl_vendorarch}/*/Chemistry/OpenBabel
%{perl_vendorarch}/*/Chemistry/OpenBabel/OpenBabel.so
%endif

%if 0%{?_with_python:1}
%files python
%defattr(-,root,root,-)
%{python_sitearch}/_openbabel.so
%{python_sitearch}/openbabel.py
%{python_sitearch}/openbabel.pyc
%ghost %{python_sitearch}/openbabel.pyo
%endif

%changelog
* Tue Aug 29 2006 Dominik Mierzejewski <rpm@greysector.net> 2.0.2-3
- simplified autotools invocation
- mass rebuild

* Mon Aug 07 2006 Dominik Mierzejewski <rpm@greysector.net> 2.0.2-2
- simplified file lists and permissions
- removed weird character from inchi summary and description
- added missing pkgconfig Req: for -devel

* Sat Aug 05 2006 Dominik Mierzejewski <rpm@greysector.net> 2.0.2-1
- updated to 2.0.2
- dropped GCC4 fix (upstream'd)
- split off inchi package
- added python and perl bindings packages

* Sat Jan 07 2006 Dominik Mierzejewski <rpm@greysector.net> 2.0.0-1
- updated to 2.0.0
- fix compilation with GCC4
- FE compliance

* Thu Feb 10 2005 Dominik Mierzejewski <rpm@greysector.net> 1.100.2-1
- rebuilt for Fedora 3

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.100.2-alt1.1
- Rebuilt with libstdc++.so.6.

* Wed Mar 03 2004 Michael Shigorin <mike@altlinux.ru> 1.100.2-alt1
- 1.100.2

* Wed Dec 17 2003 Michael Shigorin <mike@altlinux.ru> 1.100.1-alt2
- removed *.la
- don't package static library by default

* Mon Sep 22 2003 Michael Shigorin <mike@altlinux.ru> 1.100.1-alt1
- 1.100.1
- #2994 fixed; thanks to Alex Ott (ott@) for a pointer
- spec cleanup (underlibification fixup)

* Mon Jun 30 2003 Michael Shigorin <mike@altlinux.ru> 1.100.0-alt1
- built for ALT Linux
- based on Mandrake Cooker spec by:
  * Lenny Cartier <lenny@mandrakesoft.com>
  * Austin Acton <aacton@yorku.ca>
- spec cleanup
